package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.bopdecbo.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbbgrp extends AbstractCommonVo {
    Dbb bas;
    Dbh dcl;
    Dbn vrf;

    @Override
    public void reset() {
        if(bas == null){
            bas = new Dbb();
        }
        if(dcl == null){
            dcl = new Dbh();
        }
        if(vrf== null){
            vrf = new Dbn();
        }
    }
}
